% Design a 17-point low-pass FIR filter
n = 16; % Filter order, which is 17-1
Fc = 0.1; % Cutoff frequency as a fraction of the Nyquist rate (half the sampling rate)

% Use a Hamming window to design the filter
h = fir1(n, Fc, 'low', hamming(n+1));

% Save the filter coefficients to a file
fileID = fopen('filter_coefficients.txt', 'w');
fprintf(fileID, '%f\n', h);
fclose(fileID);

disp('Filter coefficients have been written to filter_coefficients.txt');
